---
Name: editor-tweaks
---
SilverStripe\Forms\HTMLEditor\TinyMCEConfig:
  upload_folder_name: 'editor'
  formats:
    cms:
      'Überschriften':
        'Überschrift 1':
          block: 'h1'
        'Überschrift 2':
          block: 'h2'
        'Überschrift 3':
          block: 'h3'
        'Überschrift 4':
          block: 'h4'
        'Überschrift 5':
          block: 'h5'
        'Überschrift 6':
          block: 'h6'
      'Text & Listen':
        'Normaler Text':
          block: 'p'
        'Zitat':
          block: 'blockquote'
        'Vorformatiert':
          block: 'pre'
        'Versalien':
          classes: 'text--uppercase'
          inline: 'span'
        'Zweispaltiger Text':
          classes: 'text--two-columns'
          selector: 'p'
        'Checkliste':
          classes: 'text--checklist'
          selector: 'ul'
        'Bildumbruch aufheben':
          classes: 'text--clear'
          selector: 'p'
      Schriftgrößen:
        'normal (p)':
          classes: 'text--regular'
          inline: 'span'
        'klein (small)':
          inline: 'small'
          classes: 'text--small'
        'wie Überschrift 1':
          classes: 'text--h1'
          inline: 'span'
        'wie Überschrift 2':
          classes: 'text--h2'
          inline: 'span'
        'wie Überschrift 3':
          classes: 'text--h3'
          inline: 'span'
        'wie Überschrift 4':
          classes: 'text--h4'
          inline: 'span'
        'wie Überschrift 5':
          classes: 'text--h5'
          inline: 'span'
        'wie Überschrift 6':
          classes: 'text--h6'
          inline: 'span'
      Schriftfarben:
        'Standard':
          classes: 'text--color-default'
          inline: 'span'
        'Weiß':
          classes: 'text--color-white'
          inline: 'span'
        'Hell':
          classes: 'text--color-light'
          inline: 'span'
        'Dunkel':
          classes: 'text--color-dark'
          inline: 'span'
        'Primär':
          classes: 'text--color-primary'
          inline: 'span'
        'Sekundär':
          classes: 'text--color-secondary'
          inline: 'span'
      Schriftarten:
        'Fließtext':
          classes: 'text--font-family-1'
          inline: 'span'
        'Überschrift':
          classes: 'text--font-family-2'
          inline: 'span'
      Verlinkungen:
        'Primär':
          classes: 'text--button-primary'
          selector: 'a, button'
        'Sekundär':
          classes: 'text--button-secondary'
          selector: 'a, button'
        'Klein':
          classes: 'text--button-small'
          selector: '.text--button-primary, .text--button-secondary'
      'Hintergründe':
        'Textunterlegung Weiß':
          classes: 'text--bg-white'
          inline: 'span'
        'Textunterlegung Hell':
          classes: 'text--bg-light'
          inline: 'span'
        'Textunterlegung Dunkel':
          classes: 'text--bg-dark'
          inline: 'span'
        'Textunterlegung Primär':
          classes: 'text--bg-primary'
          inline: 'span'
        'Textunterlegung Sekundär':
          classes: 'text--bg-secondary'
          inline: 'span'
        'Box Weiß':
          classes: 'text--box-white'
          block: 'div'
          wrapper: true
        'Box Hell':
          classes: 'text--box-light'
          block: 'div'
          wrapper: true
        'Box Dunkel':
          classes: 'text--box-dark'
          block: 'div'
          wrapper: true
        'Box Primär':
          classes: 'text--box-primary'
          block: 'div'
          wrapper: true
        'Box Sekundär':
          classes: 'text--box-secondary'
          block: 'div'
          wrapper: true
      'Tabellen':
        'mit Rahmen':
          classes: 'table--border'
          selector: 'table'
        'Gestreift (gerade)':
          classes: 'table--zebra-even'
          selector: 'table'
        'Gestreift (ungerade)':
          classes: 'table--zebra-odd'
          selector: 'table'
        'Responsive':
          classes: 'table--responsive'
          selector: 'table'
      'Responsive':
        'Verstecken ab Laptop':
          classes: 'text--hide-laptop'
        'Verstecken ab Tablet':
          classes: 'text--hide-tablet'
        'Verstecken ab Smartphone':
          classes: 'text--hide-mobile'
        'Zeigen ab Laptop':
          classes: 'text--show-laptop'
        'Zeigen ab Tablet':
          classes: 'text--show-tablet'
